Bug 146113 - pack_cis *** glibc detected *** double free or corruption (!prev): 0x09bec020 ***
pack_cis *** glibc detected *** double free or corruption (!prev): 0x09bec020...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-25 10:04 EST by Sean Porterfield
Modified: 2015-01-04 17:16 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.2.7-2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-23 18:45:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Porterfield 2005-01-25 10:04:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Trying to get Sierra Wireless AirCard 555 to work based on
instructions at http://centerclick.org/aircard555/

Version-Release number of selected component (if applicable):
pcmcia-cs-3.2.7-2.1

How reproducible:
Always

Steps to Reproduce:
1. create /etc/aircard555.dat
2. cd /etc/pcmcia/cis
3. pack_cis -o aircard555.dat aircard555.cis
    

Actual Results:  *** glibc detected *** double free or corruption
(!prev): 0x09bec020 ***
Aborted

Additional info:
Comment 1 Dave Jones 2005-02-01 23:30:05 EST
can you replace step 3 with..

$ gdb pack_cis
gdb> run -o aircard555.dat aircard555.cis

wait for it to segfault..

gdb> bt
Comment 2 Sean Porterfield 2005-02-02 05:24:23 EST
# gdb pack_cis
GNU gdb Red Hat Linux (6.1post-1.20040607.43rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details.
This GDB was configured as "i386-redhat-linux-gnu"...(no debugging
symbols found)...Using host libthread_db library
"/lib/tls/libthread_db.so.1".

(gdb) run -o aircard555.dat aircard555.cis
Starting program: /sbin/pack_cis -o aircard555.dat aircard555.cis
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...*** glibc detected *** double free or
corruption (!prev): 0x09910020 ***

Program received signal SIGABRT, Aborted.
0x0095c7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
(gdb) bt
#0  0x0095c7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0099c955 in raise () from /lib/tls/libc.so.6
#2  0x0099e319 in abort () from /lib/tls/libc.so.6
#3  0x009cff9a in __libc_message () from /lib/tls/libc.so.6
#4  0x009d6528 in _int_free () from /lib/tls/libc.so.6
#5  0x009d6afa in free () from /lib/tls/libc.so.6
#6  0x009c732c in fclose@@GLIBC_2.1 () from /lib/tls/libc.so.6
#7  0x0804938f in ?? ()
#8  0x09910020 in ?? ()
#9  0x0804d62a in _IO_stdin_used ()
#10 0x0804b968 in _IO_stdin_used ()
#11 0x09910008 in ?? ()
#12 0x00000000 in ?? ()
(gdb)
Comment 3 Kalpit Khamar 2005-02-12 19:26:28 EST
i got the same error on my server.......any alternate to build aircard555.dat ?
Comment 4 Arjan van de Ven 2005-02-15 21:42:51 EST
can you grab the debuginfo package of pcmcia-cs? that way the gdb
backgtrace will make a lot more sense to us...
Comment 5 Arjan van de Ven 2005-02-15 21:56:30 EST
ok never mind; we found the cause already
Comment 6 Sean Porterfield 2005-02-23 18:45:09 EST
Hi, I saw pcmcia-cs-3.2.7-2.2 was on up2date.  I ran the same command
again and no longer get the error!  Thanks!

Note You need to log in before you can comment on or make changes to this bug.